ISClientRequester (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.gcube
Class ISClientRequester

    java.lang.Object
      org.gcube.resourcemanagement.support.server.gcube.ISClientRequester

    public class ISClientRequester

extends Object

All the requests to the IS are implemented here.

Author:
  Massimiliano Assante (ISTI-CNR), Daniele Strollo

Constructor Summary
`ISClientRequester()`

Method Summary
`static void` | `emptyCache()`
`static Map<String,GenericResourcePlugin>` | `getGenericResourcePlugins(org.gcube.common.scope.impl.ScopeBean scope)`
`static HashMap<String,ArrayList<TMPluginFormField>>` | `getGenericResourceTreeManagerPlugins(org.gcube.common.scope.impl.ScopeBean scope)` get the plugins for tree manager
`static List<String>` | `getRelatedResources(CacheManager status, String type, String id, org.gcube.common.scope.impl.ScopeBean queryScope)`
`static CompleteResourceProfile` | `getResourceByID(String xmlFilePath, org.gcube.common.scope.impl.ScopeBean queryScope, String resType, String resID)`
`static List<ResourceDescriptor>` | `getResourceModels(org.gcube.common.scope.impl.ScopeBean queryScope, String type, String subType, List<Tuple<String>> additionalMaps)`
`static List<String>` | `getResourcesByType(CacheManager status, org.gcube.common.scope.impl.ScopeBean queryScope, String type, String subType)`
`static HashMap<String,ArrayList<String>>` | `getResourcesTree(CacheManager status, org.gcube.common.scope.impl.ScopeBean queryScope)` For all the resource in the scope retrieves their (type, subtype) values.
`static List<String>` | `getWSResources(org.gcube.common.scope.impl.ScopeBean queryScope)`
`static String` | `XML2HTML(String xml, String xslt)` transform an xml in a readable xml by using HTML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISClientRequester

    public ISClientRequester()

Method Detail

### emptyCache

    public static void emptyCache()

### getResourcesTree

    public static final HashMap<String,ArrayList<String>> getResourcesTree(CacheManager status,
                                                                           org.gcube.common.scope.impl.ScopeBean queryScope)
                                                                    throws Exception

  For all the resource in the scope retrieves their (type, subtype) values. The result is a list of couples of that form.

  Returns:
    a list of string tuples (type, subtype)
  Throws:
    `Exception`

### getRelatedResources

    public static final List<String> getRelatedResources(CacheManager status,
                                                         String type,
                                                         String id,
                                                         org.gcube.common.scope.impl.ScopeBean queryScope)
                                                  throws Exception

  Throws:
    `Exception`

### getResourcesByType

    public static final List<String> getResourcesByType(CacheManager status,
                                                        org.gcube.common.scope.impl.ScopeBean queryScope,
                                                        String type,
                                                        String subType)
                                                 throws Exception

  Parameters:
    `status` -
    `queryScope` -
    `type` -
    `subType` -
  Returns:
  Throws:
    `Exception`

### getResourceModels

    public static final List<ResourceDescriptor> getResourceModels(org.gcube.common.scope.impl.ScopeBean queryScope,
                                                                   String type,
                                                                   String subType,
                                                                   List<Tuple<String>> additionalMaps)
                                                            throws Exception

  Parameters:
    `queryScope` -
    `type` -
    `subType` -
    `additionalMaps` -
  Returns:
  Throws:
    `Exception`

### getWSResources

    public static final List<String> getWSResources(org.gcube.common.scope.impl.ScopeBean queryScope)
                                             throws Exception

  Parameters:
    `queryScope` -
  Returns:
  Throws:
    `Exception`

### getResourceByID

    public static final CompleteResourceProfile getResourceByID(String xmlFilePath,
                                                                org.gcube.common.scope.impl.ScopeBean queryScope,
                                                                String resType,
                                                                String resID)
                                                         throws Exception

  Parameters:
    `xmlFilePath` -
    `queryScope` -
    `resType` -
    `resID` -
  Returns:
  Throws:
    `Exception`

### getGenericResourcePlugins

    public static Map<String,GenericResourcePlugin> getGenericResourcePlugins(org.gcube.common.scope.impl.ScopeBean scope)
                                                                       throws Exception

  Throws:
    `Exception`

### getGenericResourceTreeManagerPlugins

    public static HashMap<String,ArrayList<TMPluginFormField>> getGenericResourceTreeManagerPlugins(org.gcube.common.scope.impl.ScopeBean scope)
                                                                                             throws Exception

  get the plugins for tree manager

  Parameters:
    `scope` -
  Returns:
    a map containing the plugin name as key and a List of formfield
  Throws:
    `Exception`

### XML2HTML

    public static String XML2HTML(String xml,
                                  String xslt)
                           throws Exception

  transform an xml in a readable xml by using HTML

  Parameters:
    `xml` -
    `xslt` -
  Returns:
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.